# FileInputStream Class Reference

Inherits InputStream.

List of all members.

## Detailed Description

InputStream implemented on top of APR file IO.

## Public Member Functions

| FileInputStream (const LogString &filename)
| Creates a FileInputStream by opening a connection to an actual file, the file named by the path name name in the file system.
| FileInputStream (const logchar *filename)
| FileInputStream (const File &aFile)
| Creates a FileInputStream by opening a connection to an actual file, the file named by the File object file in the file system.
virtual | ~FileInputStream ()
virtual void | close ()
| Closes this file input stream and releases any system resources associated with the stream.
virtual int | read (ByteBuffer &buf)
| Reads a sequence of bytes into the given buffer.

## Constructor & Destructor Documentation

FileInputStream | ( | const LogString & | filename | ) |

Creates a FileInputStream by opening a connection to an actual file, the file named by the path name name in the file system.

Parameters:

  | filename | The system-dependent file name.

FileInputStream | ( | const logchar * | filename | ) |

FileInputStream | ( | const File & | aFile | ) |

Creates a FileInputStream by opening a connection to an actual file, the file named by the File object file in the file system.

Parameters:

  | aFile | The file to be opened for reading.

virtual ~FileInputStream | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void close | ( |  | ) | `[virtual]`

| Closes this file input stream and releases any system resources associated with the stream. Implements InputStream.

virtual int read | ( | ByteBuffer & | buf | ) | `[virtual]`

Reads a sequence of bytes into the given buffer.

Parameters:

  | buf | The buffer into which bytes are to be transferred.

Returns:
  the total number of bytes read into the buffer, or -1 if there is no more data because the end of the stream has been reached.

Implements InputStream.

The documentation for this class was generated from the following file:

- fileinputstream.h